Name:		ocaml-camlzip
Version:	1.05
Release:	%mkrel 2
Summary:	Reading and writing ZIP, JAR and GZIP files
License:	LGPLv2 with exceptions
Group:		Development/OCaml
URL:            http://forge.ocamlcore.org/projects/camlzip/
Source0:        http://forge.ocamlcore.org/frs/download.php/1037/camlzip-%{version}.tar.gz
Patch1:		test-makefile.dpatch
Patch2:		uncompress.dpatch
BuildRequires:	ocaml
BuildRequires:	ocaml-findlib
BuildRequires:	zlib-devel

%description
This Objective Caml library provides easy access to compressed files in ZIP
and GZIP format, as well as to Java JAR files. It provides functions for
reading from and writing to compressed files in these formats.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	zlib-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n camlzip-%{version}
%patch1 -p1
%patch2 -p1

%build
%make depend
%make all allopt
mkdir -p doc
ocamldoc -colorize-code -html gzip.mli zip.mli zlib.mli -d doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
install -d -m 755 $OCAMLFIND_DESTDIR/stublibs
install -d -m 755 $OCAMLFIND_DESTDIR/zip
make install-findlib

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/zip
%{_libdir}/ocaml/zip/*.cmi
%{_libdir}/ocaml/zip/*.cma
%{_libdir}/ocaml/zip/META
%{_libdir}/ocaml/stublibs/dllcamlzip.so*

%files devel
%doc test doc
%{_libdir}/ocaml/zip/*.a
%{_libdir}/ocaml/zip/*.cmxa
%{_libdir}/ocaml/zip/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.05-2.mga3
+ Revision: 361206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.05-1.mga3
+ Revision: 319811
- updated to last version 1.05

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.04-10.mga3
+ Revision: 301642
- new rpm group for ocaml
- new rpm group for ocaml
- update to new ocamlforge location for the homepage
- update to new ocamlforge location

* Sun Oct 02 2011 fwang <fwang> 1.04-8.mga2
+ Revision: 150881
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.04-7.mga1
+ Revision: 82385
- clean spec file
- imported package ocaml-camlzip

